{
  description = "Minecraft Modpack";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    nix-modpack.url = "./nix-modpack";
    nix-modpack.inputs.nixpkgs.follows = "nixpkgs";
    nix-minecraft.url = "github:Jan-Bulthuis/nix-minecraft";
    nix-minecraft.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs =
    inputs:
    let
      lib = inputs.nixpkgs.lib;
      eachSystem =
        fn: lib.genAttrs lib.systems.flakeExposed (system: fn (import inputs.nixpkgs { inherit system; }));
    in
    {
      packages = eachSystem (pkgs: {
        server = inputs.nix-modpack.packages.${pkgs.system}.mkServer {
          packUrl = "https://git.bulthuis.dev/Jan/Modpack/raw/branch/main/pack.toml";
          server = inputs.nix-minecraft.legacyPackages.${pkgs.system}.neoForgeServers.neoforge-21_1_172;
        };
        client = inputs.nix-modpack.packages.${pkgs.system}.mkClient {
          packUrl = "https://git.bulthuis.dev/Jan/Modpack/raw/branch/main/pack.toml";
          gameVersion = "1.21.1";
          loaderUid = "net.neoforged";
          loaderVersion = "21.1.172";
        };
      });

      devShells = eachSystem (pkgs: {
        default = pkgs.mkShell {
          buildInputs = with pkgs; [
            packwiz
          ];
        };
      });
    };
}
